Log In
User ID:  
 
 
 

Not an Existing User?
Click the Sign Up Now link below.

Sign Up Now!
Click here to Check Browser Support!


Not a member?

Click here to apply for a loan
 
 Regarding OpenSSL Heartbleed
The vulnerability known as the OpenSSL Heartbleed will not affect your accounts at Community 1st Credit Union. Our Internet Banking servers do not use OpenSSL and, as such, we are not affected by this vulnerability.

Your safety and security remain our utmost priority.
 
HUD

NCUA


Unauthorized attempts to access, upload information, or deface this web site is strictly prohibited and are subject to prosecution under the Computer Fraud and Abuse Act of 1986 and Title 18 U.S.C. Sec. 1001 and 1030.